/*******************************************************************************
 * Copyright (c) 2000, 2008 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    IBM Corporation - initial API and implementation
 *******************************************************************************/

#ifdef NATIVE_STATS
extern int XPCOM_nativeFunctionCount;
extern int XPCOM_nativeFunctionCallCount[];
extern char* XPCOM_nativeFunctionNames[];
#define XPCOM_NATIVE_ENTER(env, that, func) XPCOM_nativeFunctionCallCount[func]++;
#define XPCOM_NATIVE_EXIT(env, that, func) 
#else
#ifndef XPCOM_NATIVE_ENTER
#define XPCOM_NATIVE_ENTER(env, that, func) 
#endif
#ifndef XPCOM_NATIVE_EXIT
#define XPCOM_NATIVE_EXIT(env, that, func) 
#endif
#endif

typedef enum {
	Call_FUNC,
	NS_1GetComponentManager_FUNC,
	NS_1GetServiceManager_FUNC,
	NS_1InitXPCOM2_FUNC,
	NS_1NewLocalFile_FUNC,
	VtblCall__IJ_FUNC,
	VtblCall__IJF_FUNC,
	VtblCall__IJI_FUNC,
	VtblCall__IJII_FUNC,
	VtblCall__IJIII_FUNC,
	VtblCall__IJIIII_FUNC,
	VtblCall__IJIIIII_FUNC,
	VtblCall__IJIIIIII_FUNC,
	VtblCall__IJIIIIIIIIII_FUNC,
	VtblCall__IJIIIIIIIIIIIIISI_FUNC,
	VtblCall__IJIIIIII_3C_3I_3I_FUNC,
	VtblCall__IJIIIIJII_FUNC,
	VtblCall__IJIIII_3CIIIII_3I_3I_FUNC,
	VtblCall__IJIIII_3C_3BIIIII_3I_3I_FUNC,
	VtblCall__IJIIII_3C_3I_3I_FUNC,
	VtblCall__IJIIII_3I_3I_FUNC,
	VtblCall__IJIII_3C_FUNC,
	VtblCall__IJIII_3I_FUNC,
	VtblCall__IJIIJJJJ_FUNC,
	VtblCall__IJII_3B_FUNC,
	VtblCall__IJII_3C_FUNC,
	VtblCall__IJII_3CIJI_FUNC,
	VtblCall__IJII_3CJJJ_FUNC,
	VtblCall__IJII_3C_3CI_3I_FUNC,
	VtblCall__IJII_3I_FUNC,
	VtblCall__IJII_3J_FUNC,
	VtblCall__IJIJJ_FUNC,
	VtblCall__IJILorg_eclipse_swt_internal_mozilla_nsID_2_FUNC,
	VtblCall__IJILorg_eclipse_swt_internal_mozilla_nsID_2_3I_FUNC,
	VtblCall__IJI_3B_FUNC,
	VtblCall__IJI_3BI_FUNC,
	VtblCall__IJI_3BI_3I_FUNC,
	VtblCall__IJI_3B_3B_3BI_3I_FUNC,
	VtblCall__IJI_3B_3C_FUNC,
	VtblCall__IJI_3B_3I_FUNC,
	VtblCall__IJI_3C_FUNC,
	VtblCall__IJI_3CI_FUNC,
	VtblCall__IJI_3C_3C_FUNC,
	VtblCall__IJI_3C_3CI_3C_3C_3C_3C_3I_3I_FUNC,
	VtblCall__IJI_3C_3CI_3I_3I_3I_FUNC,
	VtblCall__IJI_3C_3C_3C_3I_FUNC,
	VtblCall__IJI_3C_3C_3C_3I_3I_FUNC,
	VtblCall__IJI_3C_3C_3I_FUNC,
	VtblCall__IJI_3C_3C_3I_3C_3I_3I_FUNC,
	VtblCall__IJI_3C_3C_3I_3I_3C_3I_3I_FUNC,
	VtblCall__IJI_3I_FUNC,
	VtblCall__IJI_3I_3I_3I_3I_FUNC,
	VtblCall__IJJ_FUNC,
	VtblCall__IJJI_FUNC,
	VtblCall__IJJIIJIIIIII_FUNC,
	VtblCall__IJJIIJIIIIIIIIISJ_FUNC,
	VtblCall__IJJIIJ_3I_3J_FUNC,
	VtblCall__IJJI_3J_FUNC,
	VtblCall__IJJJ_FUNC,
	VtblCall__IJJJI_FUNC,
	VtblCall__IJJJII_FUNC,
	VtblCall__IJJJIIII_FUNC,
	VtblCall__IJJJIJ_3C_3I_3I_FUNC,
	VtblCall__IJJJI_3C_FUNC,
	VtblCall__IJJJI_3I_FUNC,
	VtblCall__IJJJJ_FUNC,
	VtblCall__IJJJJI_FUNC,
	VtblCall__IJJJJI_3CJJIJI_3J_3J_FUNC,
	VtblCall__IJJJJI_3C_3BJJIJI_3J_3J_FUNC,
	VtblCall__IJJJJJIJ_3C_3I_3J_FUNC,
	VtblCall__IJJJJJJ_FUNC,
	VtblCall__IJJJJJJJ_FUNC,
	VtblCall__IJJJJJJJJ_FUNC,
	VtblCall__IJJJ_3B_FUNC,
	VtblCall__IJJJ_3CIJI_FUNC,
	VtblCall__IJJJ_3CJJJ_FUNC,
	VtblCall__IJJJ_3C_3CI_3J_FUNC,
	VtblCall__IJJJ_3I_FUNC,
	VtblCall__IJJLorg_eclipse_swt_internal_mozilla_nsID_2_FUNC,
	VtblCall__IJJLorg_eclipse_swt_internal_mozilla_nsID_2_3J_FUNC,
	VtblCall__IJJ_3B_FUNC,
	VtblCall__IJJ_3BI_FUNC,
	VtblCall__IJJ_3BJ_3J_FUNC,
	VtblCall__IJJ_3B_3B_3BJ_3J_FUNC,
	VtblCall__IJJ_3B_3C_FUNC,
	VtblCall__IJJ_3CI_FUNC,
	VtblCall__IJJ_3C_3C_FUNC,
	VtblCall__IJJ_3C_3CI_3C_3C_3C_3C_3I_3I_FUNC,
	VtblCall__IJJ_3C_3CI_3J_3I_3I_FUNC,
	VtblCall__IJJ_3C_3C_3C_3I_FUNC,
	VtblCall__IJJ_3C_3C_3C_3I_3I_FUNC,
	VtblCall__IJJ_3C_3C_3I_FUNC,
	VtblCall__IJJ_3C_3C_3J_FUNC,
	VtblCall__IJJ_3C_3C_3J_3C_3I_3I_FUNC,
	VtblCall__IJJ_3C_3C_3J_3J_3C_3I_3I_FUNC,
	VtblCall__IJJ_3I_FUNC,
	VtblCall__IJJ_3J_FUNC,
	VtblCall__IJLorg_eclipse_swt_internal_mozilla_nsID_2I_FUNC,
	VtblCall__IJLorg_eclipse_swt_internal_mozilla_nsID_2ILorg_eclipse_swt_internal_mozilla_nsID_2_3I_FUNC,
	VtblCall__IJLorg_eclipse_swt_internal_mozilla_nsID_2J_FUNC,
	VtblCall__IJLorg_eclipse_swt_internal_mozilla_nsID_2JLorg_eclipse_swt_internal_mozilla_nsID_2_3J_FUNC,
	VtblCall__IJLorg_eclipse_swt_internal_mozilla_nsID_2Lorg_eclipse_swt_internal_mozilla_nsID_2_3I_FUNC,
	VtblCall__IJLorg_eclipse_swt_internal_mozilla_nsID_2Lorg_eclipse_swt_internal_mozilla_nsID_2_3J_FUNC,
	VtblCall__IJLorg_eclipse_swt_internal_mozilla_nsID_2_3B_3BI_FUNC,
	VtblCall__IJLorg_eclipse_swt_internal_mozilla_nsID_2_3B_3BI_3B_3B_FUNC,
	VtblCall__IJLorg_eclipse_swt_internal_mozilla_nsID_2_3B_3BJ_FUNC,
	VtblCall__IJLorg_eclipse_swt_internal_mozilla_nsID_2_3B_3BJ_3B_3B_FUNC,
	VtblCall__IJLorg_eclipse_swt_internal_mozilla_nsID_2_3I_FUNC,
	VtblCall__IJLorg_eclipse_swt_internal_mozilla_nsID_2_3J_FUNC,
	VtblCall__IJ_3B_FUNC,
	VtblCall__IJ_3BI_FUNC,
	VtblCall__IJ_3BII_3I_3I_FUNC,
	VtblCall__IJ_3BIJ_3J_3I_FUNC,
	VtblCall__IJ_3BILorg_eclipse_swt_internal_mozilla_nsID_2_3I_FUNC,
	VtblCall__IJ_3BI_3I_FUNC,
	VtblCall__IJ_3BI_3I_3I_FUNC,
	VtblCall__IJ_3BI_3J_3I_FUNC,
	VtblCall__IJ_3BJ_FUNC,
	VtblCall__IJ_3BJLorg_eclipse_swt_internal_mozilla_nsID_2_3J_FUNC,
	VtblCall__IJ_3BLorg_eclipse_swt_internal_mozilla_nsID_2I_FUNC,
	VtblCall__IJ_3BLorg_eclipse_swt_internal_mozilla_nsID_2J_FUNC,
	VtblCall__IJ_3BLorg_eclipse_swt_internal_mozilla_nsID_2_3I_FUNC,
	VtblCall__IJ_3BLorg_eclipse_swt_internal_mozilla_nsID_2_3J_FUNC,
	VtblCall__IJ_3B_3B_FUNC,
	VtblCall__IJ_3B_3BI_FUNC,
	VtblCall__IJ_3B_3B_3BII_3I_FUNC,
	VtblCall__IJ_3B_3B_3BII_3J_FUNC,
	VtblCall__IJ_3B_3B_3I_FUNC,
	VtblCall__IJ_3B_3B_3J_FUNC,
	VtblCall__IJ_3B_3I_FUNC,
	VtblCall__IJ_3B_3I_3I_FUNC,
	VtblCall__IJ_3B_3I_3J_FUNC,
	VtblCall__IJ_3B_3J_FUNC,
	VtblCall__IJ_3B_3J_3I_FUNC,
	VtblCall__IJ_3C_FUNC,
	VtblCall__IJ_3CIIII_FUNC,
	VtblCall__IJ_3CIJJJ_FUNC,
	VtblCall__IJ_3CI_3I_FUNC,
	VtblCall__IJ_3CJ_3J_FUNC,
	VtblCall__IJ_3C_3C_FUNC,
	VtblCall__IJ_3F_FUNC,
	VtblCall__IJ_3I_FUNC,
	VtblCall__IJ_3I_3I_FUNC,
	VtblCall__IJ_3I_3I_3I_FUNC,
	VtblCall__IJ_3I_3I_3I_3I_FUNC,
	VtblCall__IJ_3I_3J_FUNC,
	VtblCall__IJ_3I_3J_3I_FUNC,
	VtblCall__IJ_3I_3J_3J_FUNC,
	VtblCall__IJ_3J_FUNC,
	VtblCall__IJ_3J_3J_3J_FUNC,
	VtblCall__IJ_3S_FUNC,
	XPCOMGlueShutdown_FUNC,
	XPCOMGlueStartup_FUNC,
	memmove__JLorg_eclipse_swt_internal_mozilla_nsID_2I_FUNC,
	memmove__Lorg_eclipse_swt_internal_mozilla_nsID_2JI_FUNC,
	nsEmbedCString_1Length_FUNC,
	nsEmbedCString_1delete_FUNC,
	nsEmbedCString_1get_FUNC,
	nsEmbedCString_1new___FUNC,
	nsEmbedCString_1new__II_FUNC,
	nsEmbedCString_1new___3BI_FUNC,
	nsEmbedString_1Length_FUNC,
	nsEmbedString_1delete_FUNC,
	nsEmbedString_1get_FUNC,
	nsEmbedString_1new___FUNC,
	nsEmbedString_1new___3C_FUNC,
	nsID_1Equals_FUNC,
	nsID_1delete_FUNC,
	nsID_1new_FUNC,
	strlen_1PRUnichar_FUNC,
} XPCOM_FUNCS;
